Get Payment By Token

This endpoint retrieves an individual payment along with its order details. **Connection Timeouts** | Timeout | Time (Seconds) | |---------|----------------| | Open | 10 | | Read | 20 |

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

tokenstringRequired
Order token that was used to complete payment.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Response

Returns a Payment object in response.
idstringOptional
The unique, permanent, Afterpay generated Order ID.
tokenstringOptional
The token obtained from the checkout call
statusenumOptional
represents the status of the order
createdstringOptional
The UTC timestamp of when the payment was completed.
originalAmountobjectOptional
Total amount charged to the customer for the order.
openToCaptureAmountobjectOptional
Remaining amount that can be captured. Will always be zero for Immediate Payment Flow orders.
paymentStateenumOptionalRead-only
is the current state for capturing payments
merchantReferencestringOptional

is the merchant’s order id/reference that the payment corresponds to.

refundslist of objectsOptional

An array of refunds. Note: in response to a Capture Full Payment call, this array will always be empty, since refunds cannot occur until payment is captured.

orderDetailsobjectOptional
The details of the order bound to the payment.
eventslist of objectsOptional
One or more payment events that have occurred against the order.
agreementslist of objectsOptional

List of billing agreements created if any (field omitted if empty)

Errors

404
Not Found Error